/field-mappings/{field_mapping_id}

Create or update existing Field Mappings for a Linked Account. Changes will be reflected after the next scheduled sync. This will cause the next sync for this Linked Account to sync ALL data from start.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

field_mapping_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

remote_data_iteration_countintegerOptional
Number of common model instances to iterate through when fetching remote data for field mappings. Defaults to 250 if not provided.

Request

This endpoint expects an object.
remote_field_traversal_pathlist of anyOptional

The field traversal path of the remote field listed when you hit the GET /remote-fields endpoint.

remote_methodstringOptional>=1 character
The method of the remote endpoint where the remote field is coming from.
remote_url_pathstringOptional>=1 character
The path of the remote endpoint where the remote field is coming from.
jmes_pathstringOptional>=1 character

DEPRECATED: Use ‘advanced_mapping_expression’ instead.

advanced_mapping_expressionstringOptional>=1 character
A JSONata expression used to transform the remote field data.

Response

modelobject
warningslist of objects
errorslist of objects
logslist of objects or null